# == Class: centrify
#
# Install and configure Centrify. Currently only CentrifyDC supported
#
# === Parameters
#
# [*package_name*]
#   Package name to install
#
class centrify (
  $domain            = $centrify::params::domain,
  $username          = $centrify::params::username,
  $password          = $centrify::params::password,
  $machine_name      = $centrify::params::machine_name,
  $users_allow       = $centrify::params::users_allow,
  $groups_allow      = $centrify::params::groups_allow,
  $package_name      = $centrify::params::package_name,
  $package_source    = $centrify::params::package_source,
  $ensure            = $centrify::params::ensure,
  $service_name      = $centrify::params::service_name,
  $working_dir       = $centrify::params::working_dir,
  $config_dir        = $centrify::params::config_dir,
  $config_file       = $centrify::params::config_file,
  $config_file_mode  = $centrify::params::config_file_mode,
  $config_file_owner = $centrify::params::config_file_owner,
  $config_file_group = $centrify::params::config_file_group,) inherits centrify::params {

  if ($package_source =~ /^puppet:\/\//) {
    $download_centrify = false
  } else {
    $download_centrify = true
  }

  class { 'centrify::install':
  } ->
  class { 'centrify::config': } ~>
  class { 'centrify::service': } ->
  Class['centrify']
}

