# == Class centrify::params
#
# This class is meant to be called from centrify
# It sets variables according to platform
#
class centrify::params {
  $domain = ''
  $username = ''
  $password = ''
  $machine_name = $::hostname

  $ensure = 'present'

  $working_dir = '/tmp/centrify'
  $keep_working_dir = false

  $users_allow = []
  $groups_allow = []

  $config_dir = '/etc/centrifydc'
  $config_file = 'centrify/centrifydc_server.conf.erb'
  $config_file_mode = '0644'
  $config_file_owner = 'root'
  $config_file_group = 'root'

  $arch = $::hardwaremodel ? {
    'i686'  => 'i386',
    default => $::hardwaremodel
  }

  case $::osfamily {
    'Debian'           : {
      $package_name = 'centrifydc'
      $package_source = "http://downloads.centrify.com/products/centrify-suite/2014-update-1/installers/301/centrify-suite-2014.1-deb5-${arch}.tgz"
      $service_name = 'centrifydc'
    }
    'RedHat', 'Amazon' : {
      $package_name = 'CentrifyDC'
      $package_source = "http://downloads.centrify.com/products/centrify-suite/2014-update-1/installers/301/centrify-suite-2014.1-rhel3-${arch}.tgz"
      $service_name = 'centrifydc'
    }
    default            : {
      fail("${::operatingsystem} not supported")
    }
  }

}
