# == Class centrify::service
#
# This class is meant to be called from centrify
# It ensure the service is running
#
class centrify::service {
  # This is only executed once when the package is installed.
  # It requires "adjoin -w -P -n [new machine name] -u [administrator account] domain" from the
  # puppetmaster to pre-create the machine's account. Do this at the same time you sign
  # the puppet certificate. --force allows us to overwrite existing entries in AD
  #
  exec { 'adjoin':
    path      => '/usr/bin:/usr/sbin:/bin',
    command   => "/bin/bash -c 'adjoin -u ${centrify::username} -p ${centrify::password} -w ${centrify::domain} -n ${centrify::machine_name} --force || exit 0'",
    onlyif    => 'adinfo | grep "Not joined to any domain"',
    logoutput => true
  }

  service { $centrify::service_name:
    ensure     => running,
    hasstatus  => true,
    hasrestart => true,
  }
}
