require 'spec_helper_acceptance'

case fact('osfamily')
when 'RedHat'
  package_name = 'CentrifyDC'
  service_name = 'centrifydc'
when 'Debian'
  package_name = 'centrifydc'
  service_name = 'centrifydc'
end

describe 'centrify class' do

  context 'default parameters' do
    # Using puppet_apply as a helper
    it 'should work idempotently with no errors' do
      pp = <<-EOS
      class { 'centrify': 
        domain       => 'DOMAIN',
        username     => 'user',
        password     => 'pass',
        users_allow  => ['user1', 'user2'],
        groups_allow => ['group1', 'group2'],
      }
      EOS

      # Run it twice and test for idempotency
      apply_manifest(pp, :catch_failures => true)
      apply_manifest(pp, :catch_changes  => true)
    end

    describe package(package_name) do
      it { should be_installed }
    end

    describe service(service_name) do
      it { should be_enabled }
      it { should be_running }
    end
  end
end
